Page MenuHomePhabricator

SimulateTwoColEditConflicts does not work for protected pages
Closed, ResolvedPublic

Description

Currently, you can choose any page for simulating an edit conflict but if you choose a protected page you'll get an error telling you that you're not allowed to edit that page. If there's a non-hacky way to simulate edit conflicts also for protected pages, let's do it. If not, we have to add a hint to the special page and also don't suggest the Main Page of the wikis as default as it is mostly protected.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 5 2017, 11:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 383118 had a related patch set uploaded (by Tobias Gritschacher; owner: Tobias Gritschacher):
[mediawiki/extensions/TwoColConflict@master] Remove Main Page as default value and add hint

https://gerrit.wikimedia.org/r/383118

Change 383118 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Remove Main Page as default value and add hint

https://gerrit.wikimedia.org/r/383118

Tobi_WMDE_SW closed this task as Resolved.Oct 9 2017, 1:54 PM
Tobi_WMDE_SW claimed this task.
Tobi_WMDE_SW moved this task from Review to Done on the WMDE-QWERTY-Sprint-2017-09-19 board.

We went for the quick and easy solution and removed the default value and placeholder and added a hint to the message.

Tobi_WMDE_SW moved this task from Proposed to Done on the WMDE-QWERTY-Team board.Oct 17 2017, 1:09 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Oct 17 2017, 2:05 PM